Ubuntu

Archive mirrors not recognized as a valid mirror

Reported by Noel Arzola on 2011-09-01
90
This bug affects 13 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Unassigned

Bug Description

Some mirrors listed on https://launchpad.net/ubuntu/+archivemirrors are not recognized as valid mirrors, thus the dist-upgrade fails, when using them, and displays a message about essential packages can not be found (ubuntu-desktop or ubuntu-minimal)

The mirrors reporting these issues:
* Boston University Linux Users Group (www.lug.bu.edu)
* University of Canterbury (ucmirror.canterbury.ac.nz)
* Retrosnub Internet Services (ubuntu.retrosnub.co.uk)
* ihug (mirror.ihug.co.nz)
* University of Mannheim (mirror.informatik.uni-mannheim.de)
* RM Education (mirror01.th.ifl.net)
* FDCServers.net LLC (76.73.4.58)

The message is:
"Invalid package information

After your package information was updated the essential package 'ubuntu-minimal' can not be found anymore.
This indicates a serious error, please report this bug using the command 'ubuntu-bug update-manager' in a terminal and include the files in /var/log/dist-upgrade/ in the bug report."

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: update-manager 1:0.150.3
ProcVersionSignature: Ubuntu 2.6.38-11.48-generic 2.6.38.8
Uname: Linux 2.6.38-11-generic x86_64
Architecture: amd64
Date: Thu Sep 1 08:48:24 2011

GConfNonDefault:
 /apps/update-manager/check_new_release_ignore=
 /apps/update-manager/first_run=false
 /apps/update-manager/show_details=true
 /apps/update-manager/window_size=(600,600)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to natty on 2011-09-01 (0 days ago)

Noel Arzola (noel.arzola) wrote :
Noel Arzola (noel.arzola) wrote :

.

Noel Arzola (noel.arzola) wrote :
Noel Arzola (noel.arzola) wrote :

term.log is empty

Noel, thanks for reporting this bug, that also happened to me. If you change the repository to the "Main server" this problem will go away.

Changed in update-manager (Ubuntu):
status: New → Confirmed

Thanks for your report.

The problem comes from
deb http://www.lug.bu.edu/mirror/ubuntu/ oneiric main restricted # disabled on upgrade to oneiric' was disabled (unknown mirror)

But it is a valid mirror according to https://launchpad.net/ubuntu/+archivemirrors

As Walter said, using another mirror will work around the problem.

summary: - Upgrade from 11.04 to 11.10 invalid package information
+ "Boston University Linux Users Group" mirror not recognized as a valid
+ mirror
summary: - "Boston University Linux Users Group" mirror not recognized as a valid
- mirror
+ "Boston University Linux Users Group" (www.lug.bu.edu) mirror not
+ recognized as a valid mirror
Changed in update-manager (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Robert Roth (evfool) on 2011-09-07
summary: - "Boston University Linux Users Group" (www.lug.bu.edu) mirror not
- recognized as a valid mirror
+ Archive mirrors not recognized as a valid mirror
Robert Roth (evfool) on 2011-09-07
description: updated
Robert Roth (evfool) on 2011-09-07
description: updated
Robert Roth (evfool) on 2011-09-07
description: updated
Robert Roth (evfool) on 2011-09-08
description: updated
Download full text (3.7 KiB)

Thank you Robert. I changed the mirror and it went fine.
On 8 Sep 2011 10:41, "Robert Roth" <email address hidden> wrote:
> ** Description changed:
>
> Some mirrors listed on https://launchpad.net/ubuntu/+archivemirrors are
> not recognized as valid mirrors, thus the dist-upgrade fails, when using
> them, and displays a message about essential packages can not be found
> (ubuntu-desktop or ubuntu-minimal)
>
> The mirrors reporting these issues:
> * Boston University Linux Users Group (www.lug.bu.edu)
> * University of Canterbury (ucmirror.canterbury.ac.nz)
> * Retrosnub Internet Services (ubuntu.retrosnub.co.uk)
> * ihug (mirror.ihug.co.nz)
> * University of Mannheim (mirror.informatik.uni-mannheim.de)
> * RM Education (mirror01.th.ifl.net)
> + * FDCServers.net LLC (76.73.4.58)
>
> The message is:
> "Invalid package information
>
> After your package information was updated the essential package
'ubuntu-minimal' can not be found anymore.
> This indicates a serious error, please report this bug using the command
'ubuntu-bug update-manager' in a terminal and include the files in
/var/log/dist-upgrade/ in the bug report."
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: update-manager 1:0.150.3
> ProcVersionSignature: Ubuntu 2.6.38-11.48-generic 2.6.38.8
> Uname: Linux 2.6.38-11-generic x86_64
> Architecture: amd64
> Date: Thu Sep 1 08:48:24 2011
>
> GConfNonDefault:
> /apps/update-manager/check_new_release_ignore=
> /apps/update-manager/first_run=false
> /apps/update-manager/show_details=true
> /apps/update-manager/window_size=(600,600)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: update-manager
> UpgradeStatus: Upgraded to natty on 2011-09-01 (0 days ago)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (843729).
> https://bugs.launchpad.net/bugs/838787
>
> Title:
> Archive mirrors not recognized as a valid mirror
>
> Status in “update-manager” package in Ubuntu:
> Triaged
>
> Bug description:
> Some mirrors listed on https://launchpad.net/ubuntu/+archivemirrors
> are not recognized as valid mirrors, thus the dist-upgrade fails, when
> using them, and displays a message about essential packages can not be
> found (ubuntu-desktop or ubuntu-minimal)
>
> The mirrors reporting these issues:
> * Boston University Linux Users Group (www.lug.bu.edu)
> * University of Canterbury (ucmirror.canterbury.ac.nz)
> * Retrosnub Internet Services (ubuntu.retrosnub.co.uk)
> * ihug (mirror.ihug.co.nz)
> * University of Mannheim (mirror.informatik.uni-mannheim.de)
> * RM Education (mirror01.th.ifl.net)
> * FDCServers.net LLC (76.73.4.58)
>
> The message is:
> "Invalid package information
>
> After your package information was updated the essential package
'ubuntu-minimal' can not be found anymore.
> This indicates a serious error, please report this bug using the command
'ubuntu-bug update-manager' in a terminal and include the files in
/var/log/dist-upgrade/ in the bug report."
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: update-manager 1:0.150.3
> ProcVersionSignature: Ubuntu 2.6.38-11.48-generic 2.6.38.8
> Un...

Read more...

Eric Sorton (esorton) wrote :

When upgrading recently, I encountered this bug on multiple systems. My hosts have a sources.list file that points at a local server running approx. This approx server is not a valid mirror. After running do-release-upgrade, I received the missing 'ubuntu-minimal' message. In my case, update-manager commented out all lines in sources.list which pointed to my approx server (since it was not a valid mirror).

I found two possible solutions others may try.

One, it is possible to have update-manager allow third party sources as described in a comment at:

http://bethesignal.org/blog/2009/04/13/approx-package-caching-ubuntu-debian-lovers/

Two, if your sources.list contains both valid and invalid mirrors, update-manager will comment out the invalid mirrors, leaving the valid mirrors. If none of the remaining valid mirrors is the main repository, you get the missing 'ubuntu-minimal' message. If your sources.list ONLY contains invalid mirrors, then update-manager will ask if you want to continue with the invalid mirrors, rewrite your sources.list, and continue with the upgrade. So, if your main repository is an invalid mirror, but you have other lines containing valid mirrors, try commenting out the valid mirrors during the upgrade.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions